﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DateTimeTask
{
    internal class OperationsWithDate
    {
        public static (int Years, int Month, int Days) CalculateAge(DateTime myBirthday, DateTime dateTime) 
        {
            int years = dateTime.Year - myBirthday.Year;
            int months = dateTime.Month - myBirthday.Month;
            int days = dateTime.Day - myBirthday.Day;

            if (months < 0 || (months == 0 && days < 0))
            {
                years--;
                months = 12 - Math.Abs(months);
                if (days < 0)
                {
                    months--;
                    days = DateTime.DaysInMonth(dateTime.Year, dateTime.Month) - Math.Abs(days);
                }
            }
            else if (days < 0)
            {
                months--;
                days = DateTime.DaysInMonth(dateTime.Year, dateTime.Month) - Math.Abs(days);
            }

            return (years, months, days);
        }
    }
}
