﻿namespace DateTimeTask
{
    internal class Program
    {
        static void Main(string[] args)
        {
            DateTime datetime = DateTime.Now;
            TimeSpan timeSpan = new TimeSpan(48, 30, 0);
            DateTime myBirthday = new DateTime(2005, 6, 17);

            Console.WriteLine(datetime.ToString());
            Console.WriteLine(datetime.ToLongDateString());
            Console.WriteLine(datetime.ToShortDateString());
            Console.WriteLine(datetime.ToLongTimeString());
            Console.WriteLine(datetime.ToShortTimeString());
            Console.WriteLine();

            Console.WriteLine(datetime - timeSpan);
            Console.WriteLine(datetime + timeSpan);

            var age = OperationsWithDate.CalculateAge(myBirthday, datetime);
            Console.WriteLine($"\nВозраст: {age.Years}, Месяцы: {age.Month}, Дни: {age.Days}");


        }
    }
}